
<!DOCTYPE html>

<html class="no-js" lang="en">
<head>
<meta charset="utf-8"/>
<meta content="width=device-width,initial-scale=1" name="viewport"/>
<link href="../assets/images/favicon.png" rel="icon"/>
<meta content="mkdocs-1.2.3, mkdocs-material-7.3.6" name="generator"/>
<title>Interfaces - SecuWallet</title>
<link href="../assets/stylesheets/main.a57b2b03.min.css" rel="stylesheet"/>
<link href="../assets/stylesheets/palette.3f5d1f46.min.css" rel="stylesheet"/>
<meta content="#ab47bd" name="theme-color"/>
<link crossorigin="" href="https://fonts.gstatic.com" rel="preconnect"/>
<link href="https://fonts.googleapis.com/css?family=Roboto:300,400,400i,700%7CRoboto+Mono&amp;display=fallback" rel="stylesheet"/>
<style>:root{--md-text-font-family:"Roboto";--md-code-font-family:"Roboto Mono"}</style>
<link href="https://unpkg.com/mermaid@8.5.1/dist/mermaid.css" rel="stylesheet"/>
<link href="../extra.css" rel="stylesheet"/>
</head>
<body data-md-color-accent="" data-md-color-primary="purple" data-md-color-scheme="slate" dir="ltr">
<script>function __prefix(e){return new URL("..",location).pathname+"."+e}function __get(e,t=localStorage){return JSON.parse(t.getItem(__prefix(e)))}</script>
<input autocomplete="off" class="md-toggle" data-md-toggle="drawer" id="__drawer" type="checkbox"/>
<input autocomplete="off" class="md-toggle" data-md-toggle="search" id="__search" type="checkbox"/>
<label class="md-overlay" for="__drawer"></label>
<div data-md-component="skip">
<a class="md-skip" href="#interfaces">
          Skip to content
        </a>
</div>
<div data-md-component="announce">
</div>
<header class="md-header" data-md-component="header">
<nav aria-label="Header" class="md-header__inner md-grid">
<a aria-label="SecuWallet" class="md-header__button md-logo" data-md-component="logo" href=".." title="SecuWallet">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M12 8a3 3 0 0 0 3-3 3 3 0 0 0-3-3 3 3 0 0 0-3 3 3 3 0 0 0 3 3m0 3.54C9.64 9.35 6.5 8 3 8v11c3.5 0 6.64 1.35 9 3.54 2.36-2.19 5.5-3.54 9-3.54V8c-3.5 0-6.64 1.35-9 3.54z"></path></svg>
</a>
<label class="md-header__button md-icon" for="__drawer">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M3 6h18v2H3V6m0 5h18v2H3v-2m0 5h18v2H3v-2z"></path></svg>
</label>
<div class="md-header__title" data-md-component="header-title">
<div class="md-header__ellipsis">
<div class="md-header__topic">
<span class="md-ellipsis">
            SecuWallet
          </span>
</div>
<div class="md-header__topic" data-md-component="header-topic">
<span class="md-ellipsis">
            
              Interfaces
            
          </span>
</div>
</div>
</div>
<label class="md-header__button md-icon" for="__search">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M9.5 3A6.5 6.5 0 0 1 16 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 0 1 9.5 16 6.5 6.5 0 0 1 3 9.5 6.5 6.5 0 0 1 9.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5z"></path></svg>
</label>
<div class="md-search" data-md-component="search" role="dialog">
<label class="md-search__overlay" for="__search"></label>
<div class="md-search__inner" role="search">
<form class="md-search__form" name="search">
<input aria-label="Search" autocapitalize="off" autocomplete="off" autocorrect="off" class="md-search__input" data-md-component="search-query" name="query" placeholder="Search" required="" spellcheck="false" type="text"/>
<label class="md-search__icon md-icon" for="__search">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M9.5 3A6.5 6.5 0 0 1 16 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 0 1 9.5 16 6.5 6.5 0 0 1 3 9.5 6.5 6.5 0 0 1 9.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5z"></path></svg>
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M20 11v2H8l5.5 5.5-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5 8 11h12z"></path></svg>
</label>
<nav aria-label="Search" class="md-search__options">
<button aria-label="Clear" class="md-search__icon md-icon" tabindex="-1" type="reset">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M19 6.41 17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12 19 6.41z"></path></svg>
</button>
</nav>
</form>
<div class="md-search__output">
<div class="md-search__scrollwrap" data-md-scrollfix="">
<div class="md-search-result" data-md-component="search-result">
<div class="md-search-result__meta">
            Initializing search
          </div>
<ol class="md-search-result__list"></ol>
</div>
</div>
</div>
</div>
</div>
</nav>
</header>
<div class="md-container" data-md-component="container">
<main class="md-main" data-md-component="main">
<div class="md-main__inner md-grid">
<div class="md-sidebar md-sidebar--primary" data-md-component="sidebar" data-md-type="navigation">
<div class="md-sidebar__scrollwrap">
<div class="md-sidebar__inner">
<nav aria-label="Navigation" class="md-nav md-nav--primary" data-md-level="0">
<label class="md-nav__title" for="__drawer">
<a aria-label="SecuWallet" class="md-nav__button md-logo" data-md-component="logo" href=".." title="SecuWallet">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M12 8a3 3 0 0 0 3-3 3 3 0 0 0-3-3 3 3 0 0 0-3 3 3 3 0 0 0 3 3m0 3.54C9.64 9.35 6.5 8 3 8v11c3.5 0 6.64 1.35 9 3.54 2.36-2.19 5.5-3.54 9-3.54V8c-3.5 0-6.64 1.35-9 3.54z"></path></svg>
</a>
    SecuWallet
  </label>
<ul class="md-nav__list" data-md-scrollfix="">
<li class="md-nav__item">
<a class="md-nav__link" href="../0_Poster/">
        Poster
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../1_Resume/">
        Introduction
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../2_CahierDesCharges/">
        Cahier des charges
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../3_planning/">
        Planning
      </a>
</li>
<li class="md-nav__item md-nav__item--active md-nav__item--nested">
<input checked="" class="md-nav__toggle md-toggle" data-md-toggle="__nav_5" id="__nav_5" type="checkbox"/>
<label class="md-nav__link" for="__nav_5">
          Documentation technique
          <span class="md-nav__icon md-icon"></span>
</label>
<nav aria-label="Documentation technique" class="md-nav" data-md-level="1">
<label class="md-nav__title" for="__nav_5">
<span class="md-nav__icon md-icon"></span>
          Documentation technique
        </label>
<ul class="md-nav__list" data-md-scrollfix="">
<li class="md-nav__item">
<a class="md-nav__link" href="../4_analyseExistant/">
        Analyse de L'existant
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../5_userStories/">
        User Stories
      </a>
</li>
<li class="md-nav__item md-nav__item--active">
<input class="md-nav__toggle md-toggle" data-md-toggle="toc" id="__toc" type="checkbox"/>
<label class="md-nav__link md-nav__link--active" for="__toc">
          Interfaces
          <span class="md-nav__icon md-icon"></span>
</label>
<a class="md-nav__link md-nav__link--active" href="./">
        Interfaces
      </a>
<nav aria-label="Table of contents" class="md-nav md-nav--secondary">
<label class="md-nav__title" for="__toc">
<span class="md-nav__icon md-icon"></span>
      Table of contents
    </label>
<ul class="md-nav__list" data-md-component="toc" data-md-scrollfix="">
<li class="md-nav__item">
<a class="md-nav__link" href="#site-web">
    Site Web
  </a>
<nav aria-label="Site Web" class="md-nav">
<ul class="md-nav__list">
<li class="md-nav__item">
<a class="md-nav__link" href="#acceuil">
    Acceuil
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#creation-de-compte">
    Création de compte
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#connexion">
    Connexion
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#telecharger">
    Télécharger
  </a>
</li>
</ul>
</nav>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#application-c">
    Application C
  </a>
<nav aria-label="Application C" class="md-nav">
<ul class="md-nav__list">
<li class="md-nav__item">
<a class="md-nav__link" href="#connexion_1">
    Connexion
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#google-authenticator">
    Google authenticator
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#acceuil_1">
    Acceuil
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#recevoir">
    Recevoir
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#envoyer">
    Envoyer
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#mon-compte">
    Mon Compte
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#gestion-des-portefeuilles">
    Gestion des portefeuilles
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#parametre">
    Paramètre
  </a>
<nav aria-label="Paramètre" class="md-nav">
<ul class="md-nav__list">
<li class="md-nav__item">
<a class="md-nav__link" href="#devise">
    Devise
  </a>
</li>
</ul>
</nav>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#contact">
    Contact
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#deconnexion">
    Déconnexion
  </a>
</li>
</ul>
</nav>
</li>
</ul>
</nav>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../7_Architecture/">
        Architecture
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../8_outilsExterne/">
        Outils et librairies externes
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../9_installationEnvironnement/">
        Installation de l'environnement
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../10_EncryptionBdd/">
        Encryption de base de données
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../docClasse/">
        Description Classes
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../Tests/">
        Tests
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../conclusion/">
        Conclusion
      </a>
</li>
</ul>
</nav>
</li>
<li class="md-nav__item md-nav__item--nested">
<input class="md-nav__toggle md-toggle" data-md-toggle="__nav_6" id="__nav_6" type="checkbox"/>
<label class="md-nav__link" for="__nav_6">
          Annexes
          <span class="md-nav__icon md-icon"></span>
</label>
<nav aria-label="Annexes" class="md-nav" data-md-level="1">
<label class="md-nav__title" for="__nav_6">
<span class="md-nav__icon md-icon"></span>
          Annexes
        </label>
<ul class="md-nav__list" data-md-scrollfix="">
<li class="md-nav__item">
<a class="md-nav__link" href="../JournalDeBord/">
        Journal de bord
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../tableDesIllustrations/">
        Table des illustrations
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../planningAnnexe/">
        Planning
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../codeSource/">
        Code source
      </a>
</li>
</ul>
</nav>
</li>
</ul>
</nav>
</div>
</div>
</div>
<div class="md-sidebar md-sidebar--secondary" data-md-component="sidebar" data-md-type="toc">
<div class="md-sidebar__scrollwrap">
<div class="md-sidebar__inner">
<nav aria-label="Table of contents" class="md-nav md-nav--secondary">
<label class="md-nav__title" for="__toc">
<span class="md-nav__icon md-icon"></span>
      Table of contents
    </label>
<ul class="md-nav__list" data-md-component="toc" data-md-scrollfix="">
<li class="md-nav__item">
<a class="md-nav__link" href="#site-web">
    Site Web
  </a>
<nav aria-label="Site Web" class="md-nav">
<ul class="md-nav__list">
<li class="md-nav__item">
<a class="md-nav__link" href="#acceuil">
    Acceuil
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#creation-de-compte">
    Création de compte
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#connexion">
    Connexion
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#telecharger">
    Télécharger
  </a>
</li>
</ul>
</nav>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#application-c">
    Application C
  </a>
<nav aria-label="Application C" class="md-nav">
<ul class="md-nav__list">
<li class="md-nav__item">
<a class="md-nav__link" href="#connexion_1">
    Connexion
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#google-authenticator">
    Google authenticator
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#acceuil_1">
    Acceuil
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#recevoir">
    Recevoir
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#envoyer">
    Envoyer
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#mon-compte">
    Mon Compte
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#gestion-des-portefeuilles">
    Gestion des portefeuilles
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#parametre">
    Paramètre
  </a>
<nav aria-label="Paramètre" class="md-nav">
<ul class="md-nav__list">
<li class="md-nav__item">
<a class="md-nav__link" href="#devise">
    Devise
  </a>
</li>
</ul>
</nav>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#contact">
    Contact
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#deconnexion">
    Déconnexion
  </a>
</li>
</ul>
</nav>
</li>
</ul>
</nav>
</div>
</div>
</div>
<div class="md-content" data-md-component="content">
<article class="md-content__inner md-typeset">
<h1 id="interfaces">Interfaces</h1>
<p>L'élaboration de l'application étant faite grâce à la <a href="#conceptualisation">conceptualisation</a>, il m'est tout de même arrivé que certaines des <a href="#userStories">user stories</a>, fonctionnalités ou encore <a href="#InterfacesMockUp">interfaces</a> aient été modifiées.</p>
<p>Mon application est divisée en deux parties. Il s'agit d'un <a href="#site-web">site web</a> où l'utilisateur doit se rendre afin de créer son compte et de créer sa clé secrète utile à la librairie Goolge authenticator. Ensuite, du moment où il se connecte, il a la possibilité de télécharger mon application en format ".msi".</p>
<p>Du moment où l'<a href="#application-c">application</a> est installée, il peut se connecter avec les mêmes données, sans oublier d'utiliser son code Authenticator.</p>
<h2 id="site-web">Site Web</h2>
<!--
Le site est web est constitué de plusieurs sections qui sont l'accueil, la création de comptes, la connexion et le téléchargement. -->
<h3 id="acceuil">Acceuil</h3>
<p>L'accueil est une page qui founit des informations importantes à l'utilisateur, puisqu'il s'agit de l'explication de mon application: "Qu'est-ce qu'elle fait cette application?". Informations prisent, il est donc spécifié à l'utilisateur de <a href="#création-de-compte">créer un compte</a> pour permettre de télécharger le logiciel. Dans le cas où l'utilisateur serait déjà inscrit, alors il peut aller sur l'onglet <a href="#connexion">"Connexion"</a>.</p>
<figure id="fig45" style="width: 70%">
<img alt="Page d'accueil" src=".././img/acceuilWeb.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 45]:</span><b>Page d'accueil</b> </figcaption>
</figure>
<h3 id="creation-de-compte">Création de compte</h3>
<p>Du moment où l'utilisateur est d'accord d'utiliser mon application, il arrive donc sur cette page qui va permettre de s'inscrire. Il est demandé de renseigner deux informations qui sont: le nom d'utilisateur (mail) et le code pour se connecter. </p>
<p>Ensuite, les informations sont contrôlées afin de voir si les informations fournies répondent aux exigences. Il s'agit donc de regarder s’il s'agit d'un mail valide et si le mot de passe contient au minimum 6 caractères.</p>
<p>Enfin, si tout est valide, un QR code est alors affiché, afin que l'utilisateur puisse le scanner avec l'application "authenticator" de Google. Ce QR code fait référence à sa clé secrète qui est alors stockée dans ma base de données et qui est donc liée à cette application pour la protégée indépendamment pour chaque utilisateur.</p>
<p>Google Authenticator utilise cette clé secrète pour générer un code à six chiffres toutes les 30 secondes.</p>
<figure id="fig46" style="width: 70%">
<img alt="Page création compte" src=".././img/creerCompteWeb.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 46]:</span><b>Page création compte</b> </figcaption>
</figure>
<h3 id="connexion">Connexion</h3>
<p>Pour que mon application soit téléchargée, il faut que l'utilisateur se connecte avec les informations remplies au préalable. Du moment où la connexion est effectuée, un onglet téléchargé est alors affiché.</p>
<figure id="fig47" style="width: 70%">
<img alt="Page connexion" src=".././img/connexionWeb.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 47]:</span><b>Page connexion</b> </figcaption>
</figure>
<h3 id="telecharger">Télécharger</h3>
<p>Le téléchargement est faisable d'un simple clique sur le lien. Le logiciel est donc téléchargé sur son ordinateur personnel au format ".msi".</p>
<h2 id="application-c">Application C</h2>
<!-- 
Ce logiciel est le cœur de mon projet, puisqu'il s'agit de l'application qui pourra gérer des portefeuilles soit en l'important soit en le créant. D'autant plus que cela fournira la possibilité de faire des transactions en envoyant ou en recevant  ainsi que de voir le cours l'Etherum sur la devise choisi ("USD" est la configuration initiale). Différents graphiques sont affichés afin de fournir un aspect visuel de la quantité de cryptomonnaie et de la valeur de celle-ci. -->
<h3 id="connexion_1">Connexion</h3>
<p>Cette interface est celle qui permettra à l'utilisateur de se connecter avec les informations fournies lors de la <a href="#création-de-compte">création du compte</a> sur mon site web.</p>
<figure id="fig48" style="width: 25%">
<img alt="Interface Connexion" src=".././img/loginApp.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 48]:</span><b>Interface Connexion</b> </figcaption>
</figure>
<h3 id="google-authenticator">Google authenticator</h3>
<p>Après validation de la connexion, cette interface est alors affichée afin que l'utilisateur puisse fournir le code Authenticator affiché dans son application "Google authenticator".</p>
<figure id="fig49" style="width: 25%">
<img alt="Interface Google Authenticator" src=".././img/authenticatorApp.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 49]:</span><b>Interface Google Authenticator</b> </figcaption>
</figure>
<h3 id="acceuil_1">Acceuil</h3>
<p>Une fois toutes les démarches de connexion réussies, cette interface est alors affichée. Dans celle-ci on voit que l'utilisateur peut sélectionner ses portefeuilles afin de voir les informations qui les caractérisent.</p>
<p>Les onglets en bas montrent l'historique des transactions ("Historique"), l'évolution de la valeur ("Évolution valeur") et l'évolution de la quantité d'Ethereum ("Évolution quantité").</p>
<p>L'historique permet de voir toutes les transactions effectuées avec le wallet sélectionné, que ce soit un envoi ou un reçu.</p>
<p>Pour la partie évolution, je dois souligner que des modifications ont été apportées par rapport à sa conceptualisation, ce qui fait que j'ai divisé en deux parties. Il s'agit donc de "l'évolution valeur" et de "l'évolution quantités".</p>
<p>L'évolution valeur, montre un graphique qui démontre de manière visuelle la variation de la valeur de ses ETH actuellement présents dans le portefeuille sur le temps.</p>
<p>L'évolution quantité, montre également un graphique, mais cette fois pour montrer la variation de la quantité de ses coins présents dans le portefeuille.</p>
<p>Il peut également appuyer sur le bouton <a href="#recevoir">"Recevoir"</a> qui permet de recevoir un certain montant de cryptomonnaie.</p>
<p>L'utilisateur a la possibilité d'appuyer sur le bouton <a href="#envoyer">"Envoyer"</a> qui permet d'envoyer une certaine somme de cryptomonnaie sur un portefeuille spécifique.</p>
<p>On voit sur cette interface un <a href="#mon-compte">rouage</a> qui permet d'afficher les options possibles.</p>
<figure id="fig50" style="width: 40%">
<img alt="Interface Acceuil" src=".././img/historiqueTransacApp.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 50]:</span><b>Interface Acceuil</b> </figcaption>
</figure>
<h3 id="recevoir">Recevoir</h3>
<p>Du moment où l'utilisateur veut récupérer sa clé privée, il doit cliquer sur le bouton "Recevoir". Il est alors redirigé sur cette interface qui permet de choisir la manière dont il voudrait procéder. C'est-à-dire soit par le biais d'un QR code soit en copiant sa clé publique.</p>
<p>Le QR code permet à la personne qui voudrait lui envoyer de la cryptomonnaie de le scanner afin d'avoir directement sa clé publique.</p>
<p>Le fait de copier la clé publique qui est affichée en bas permet de pouvoir coller celle-ci à l'endroit indiqué afin de pouvoir remplir le formulaire d'envoi.</p>
<figure id="fig51" style="width: 30%">
<img alt="Interface Recevoir" src=".././img/recevoirApp.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 51]:</span><b>Interface Recevoir</b> </figcaption>
</figure>
<h3 id="envoyer">Envoyer</h3>
<p>Si par contre l'utilisateur décide d'envoyer de l'etherum alors cette interface est affichée. Il s'agit d'un formulaire qui demande plusieurs informations spécifiques pour permettre d'envoyer. Cela étant dit, plusieurs modifications ont été apportées. Puisque j'avais dans mon optique de fonctionner uniquement en utilisant l'adresse des wallets. </p>
<figure id="fig52" style="width: 40%">
<img alt="Interface Envoyer" src=".././img/envoieApp.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 52]:</span><b>Interface Envoyer</b> </figcaption>
</figure>
<p>Il doit donc choisir à qui il veut l'envoyer c'est pour cela qu'il doit remplir ce champ avec la clé publique du destinataire. Pour faciliter cette tâche, j'ai remanié mon idée de base en lui laissant la possibilité de choisir un de ses wallets s’il le souhaite. Il peut donc choisir d'envoyer avec un "Comptes personnels" ou de choisir un contact qu'il aurait enregistré directement sur l'interface. Par contre, s’il le désire, il a la possibilité d'indiquer lui-même la clé publique.</p>
<p>Ensuite, il doit fournir le montant qu'il voudrait envoyer. Dans le cas où il voudrait possiblement envoyer un montant à virgule, il est impératif d'utiliser les virgules (",").</p>
<figure id="fig53" style="width: 30%">
<img alt="Interface Confirmation d'envoi" src=".././img/confirmeEnvoie.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 53]:</span><b>Interface Confirmation d'envoi</b> </figcaption>
</figure>
<p>Enfin, il faut rentrer son mot de passe, appuyer sur "Envoyer" et renseigner l'Authenticator. Cette partie a une fois encore été modifiée, pour des raisons de sécurités.</p>
<p>Pour que l'utilisateur soit averti que la transaction s'est bien déroulée ou non, alors un petit message de confirmation est affiché.</p>
<figure id="fig54" style="width: 30%">
<img alt="Interface Confirmation Authenticator" src=".././img/confirmeAuthenticatorApp.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 54]:</span><b>Interface Confirmation Authenticator</b> </figcaption>
</figure>
<h3 id="mon-compte">Mon Compte</h3>
<p>Du moment où l'utilisateur veut accéder à son compte, il peut appuyer sur ce rouage afin de pouvoir accéder à d'autres options. Il s'agit de pouvoir gérer ses <a href="#gestion-des-portefeuilles">portefeuilles</a>, <a href="#paramètre">paramètres</a> ou <a href="#déconnexion">déconnexion</a>.</p>
<figure id="fig55" style="width: 25%">
<img alt="Interface mon compte" src=".././img/monCompteApp.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 55]:</span><b>Interface mon compte</b> </figcaption>
</figure>
<h3 id="gestion-des-portefeuilles">Gestion des portefeuilles</h3>
<figure id="fig56" style="width: 40%">
<img alt="Interface suppression portefeuille" src=".././img/supprimerApp.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 56]:</span><b>Interface suppression portefeuille</b> </figcaption>
</figure>
<p>On arrive sur cette interface qui a été modifiée par rapport à sa conceptualisation. Une fois que l'utilisateur a choisi de gérer ses portefeuilles. Celle-ci offre trois onglets, "Nouveau",  "Importer" ou "supprimer".</p>
<figure id="fig57" style="width: 40%">
<img alt="Interface création portefeuille" src=".././img/creerWalletApp.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 57]:</span><b>Interface création portefeuille</b> </figcaption>
</figure>
<p>Du moment où l'utilisateur veut créer un nouveau portefeuille il doit fournir le nom de ce dernier pour permettre la différenciation avec les autres. Il va de soi que le nom de celui-ci doit être différent de ceux présents dans son compte. En plus de mon idée de base et afin de sécuriser ce wallet je demande à l'utilisateur de remplir un mot de passe.</p>
<figure id="fig58" style="width: 40%">
<img alt="Interface importer portefeuille" src=".././img/importerWalletApp.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 58]:</span><b>Interface importer portefeuille</b> </figcaption>
</figure>
<p>Maintenant l'utilisateur veut importer un portefeuille, parce qu'il en a un, mais qui n'est pas encore stocké dans mon application. Il a deux possibilités de le faire, soit de l'importer avec une clé privée directement soit de l'importer avec un fichier "JSON" qu'il aurait dans ses fichiers. Il convient de spécifier que lors de l'élaboration du concept j'avais dans l'optique de mettre deux formulaires distincts sur la même interface. Cela me paraissait tout de même trop flou pour l'utilisateur c'est pourquoi j'ai décidé de séparer ces deux fonctions en deux interfaces différentes.</p>
<figure id="fig59" style="width: 25%">
<img alt="Interface import par clé privée" src=".././img/importClePrivee.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 59]:</span><b>Interface import par clé privée</b> </figcaption>
</figure>
<p>L'importation par clé privée doit se faire en remplissant un formulaire. Il s'agit de mettre la clé privée du portefeuille ainsi que de fournir un nom pour ce portefeuille, encore une fois diffère par rapport aux autres portefeuilles présents dans son compte. Enfin, il doit confirmer cette importation avec un mot de passe spécifique à ce wallet.</p>
<figure id="fig60" style="width: 25%">
<img alt="Interface import par fichier JSON" src=".././img/importFicherJSON.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 60]:</span><b>Interface import par fichier JSON</b> </figcaption>
</figure>
<p>L'importation par fichier "JSON" doit s'effectuer en important le fichier en question en appuyant sur le bouton "Importer fichier". Ensuite, il est important de spécifier que le mot de passe qui doit être fourni doit être identique à ce portefeuille puisque le fichier "JSON" est encrypté par celui-ci. Enfin, pour confirmer l'importation, il faut appuyer sur le bouton "Importer".</p>
<figure id="fig61" style="width: 40%">
<img alt="Interface suppression portefeuille" src=".././img/supprimerApp.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 61]:</span><b>Interface suppression portefeuille</b> </figcaption>
</figure>
<p>Il arrive que parfois on ait plus besoin d'utiliser un portefeuille pour telle ou telle raison. C'est pourquoi l'option supprimer est mise à disposition. Pour ce faire, l'utilisateur doit sélectionner un portefeuille présent dans cette liste ensuite appuyer sur supprimer.</p>
<p>Une interface [authenticator] s'affiche pour confirmer l'opération.</p>
<h3 id="parametre">Paramètre</h3>
<p>Cette interface permet à l'utilisateur de choisir la <a href="#devise">"devise"</a> de l'application. Il convient de spécifier que la configuration par défaut est mise sur "USD". Un bouton <a href="#contact">"Contact"</a> est affiché pour permettre d'accéder à son journal de contact. Enfin, un bouton "A propos" est mis à disposition afin de donner des informations sur l'application (version, auteur, etc.).</p>
<figure id="fig62" style="width: 25%">
<img alt="Interface paramètres" src=".././img/parametreApp.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 62]:</span><b>Interface paramètres</b> </figcaption>
</figure>
<h4 id="devise">Devise</h4>
<p>Une liste de choix est mise à disposition afin que l'utilisateur puisse choisir la devise qui lui convienne. Les choix possibles sont "USD", "EUR" et "CHF". À la sélection, la devise est alors enregistrée. </p>
<h3 id="contact">Contact</h3>
<p>Cette interface permet à l'utilisateur de gérer son journal de contact.</p>
<figure id="fig63" style="width: 40%">
<img alt="Interface contacts" src=".././img/contactApp.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 63]:</span><b>Interface contacts</b> </figcaption>
</figure>
<p>Il a la possibilité d'en créer un nouveau en appuyant sur le bouton "Nouveau". Il doit fournir des informations qui sont le nom du contact et son adresse qui fait référence à sa clé publique. </p>
<figure id="fig64" style="width: 25%">
<img alt="Interface créer contact" src=".././img/creerContact.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 64]:</span><b>Interface créer contact</b> </figcaption>
</figure>
<p>Il peut aussi modifier des contacts déjà existants. Pour cela, il doit sélectionner le contact en question et appuyer sur le bouton modifié. C'est alors qu'on est redirigé vers une interface qui reprend les informations du contact sélectionné. Cela laisse à l'utilisateur la possibilité de changer à sa guise les informations que ce soit le nom du contact ou la clé publique qui serait peut-être fausse. Pour valider ces modifications, il faut appuyer sur "Valider".</p>
<figure id="fig65" style="width: 25%">
<img alt="Interface modifier contact" src=".././img/modifierContactApp.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 65]:</span><b>Interface modifier contact</b> </figcaption>
</figure>
<p>Enfin, il peut supprimer un contact et ici le processus est presque identique à la modification puisqu'il faut sélectionner l'utilisateur et ensuite appuyer sur le bouton "Supprimer".</p>
<h3 id="deconnexion">Déconnexion</h3>
<p>Une fois que l'utilisateur veut quitter l'application, il peut se déconnecter en appuyant sur le bouton indiqué qui fait que la connexion est arrêtée et relance l'application sur l'interface de <a href="#connexion">connexion</a>.</p>
</article>
</div>
</div>
</main>
<footer class="md-footer">
<nav aria-label="Footer" class="md-footer__inner md-grid">
<a aria-label="Previous: User Stories" class="md-footer__link md-footer__link--prev" href="../5_userStories/" rel="prev">
<div class="md-footer__button md-icon">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M20 11v2H8l5.5 5.5-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5 8 11h12z"></path></svg>
</div>
<div class="md-footer__title">
<div class="md-ellipsis">
<span class="md-footer__direction">
                Previous
              </span>
              User Stories
            </div>
</div>
</a>
<a aria-label="Next: Architecture" class="md-footer__link md-footer__link--next" href="../7_Architecture/" rel="next">
<div class="md-footer__title">
<div class="md-ellipsis">
<span class="md-footer__direction">
                Next
              </span>
              Architecture
            </div>
</div>
<div class="md-footer__button md-icon">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M4 11v2h12l-5.5 5.5 1.42 1.42L19.84 12l-7.92-7.92L10.5 5.5 16 11H4z"></path></svg>
</div>
</a>
</nav>
<div class="md-footer-meta md-typeset">
<div class="md-footer-meta__inner md-grid">
<div class="md-footer-copyright">
        
        
          Made with
          <a href="https://squidfunk.github.io/mkdocs-material/" rel="noopener" target="_blank">
            Material for MkDocs
          </a>
 ... <a class="link--pdf-download" download href="../pdf/document.pdf" title="PDF">download PDF</a></div>
</div>
</div>
</footer>
</div>
<div class="md-dialog" data-md-component="dialog">
<div class="md-dialog__inner md-typeset"></div>
</div>
<script id="__config" type="application/json">{"base": "..", "features": [], "translations": {"clipboard.copy": "Copy to clipboard", "clipboard.copied": "Copied to clipboard", "search.config.lang": "en", "search.config.pipeline": "trimmer, stopWordFilter", "search.config.separator": "[\\s\\-]+", "search.placeholder": "Search", "search.result.placeholder": "Type to start searching", "search.result.none": "No matching documents", "search.result.one": "1 matching document", "search.result.other": "# matching documents", "search.result.more.one": "1 more on this page", "search.result.more.other": "# more on this page", "search.result.term.missing": "Missing", "select.version.title": "Select version"}, "search": "../assets/javascripts/workers/search.fcfe8b6d.min.js", "version": null}</script>
<script src="../assets/javascripts/bundle.b1047164.min.js"></script>
<script src="https://unpkg.com/mermaid@8.5.1/dist/mermaid.min.js"></script>
</body>
</html>